Subject: Re: bug#24547: 24.4; dired should colour in sockets and pipes

From: Juri Linkov <[email-masked]>
Date: Wed, 31 Jul 2019 23:45:44 +0300

>> What are the remaining special file types possible in ls output?
>>
>> For example, in /run I see only "s" and "p" files.  But in /dev there are
>> also "b" and "c".  These "block" and "character" device files could be
>> highlighted using the same face with sockets and pipes.
>
> As I hinted earlier, GNU ls's --color output is governed by the dircolors program.
> "dircolors --print-database" gives a bunch of stuff.  The part you asked about is:
>
>     DIR 01;34 # directory
>     LINK 01;36 # symbolic link. (If you set this to 'target' instead of a
>      # numerical value, the color is as for the file pointed to.)
>     MULTIHARDLINK 00 # regular file with more than one link
>     FIFO 40;33 # pipe
>     SOCK 01;35 # socket
>     DOOR 01;35 # door
>     BLK 40;33;01 # block device driver
>     CHR 40;33;01 # character device driver
>     ORPHAN 40;31;01 # symlink to nonexistent file, or non-stat'able file ...
>     MISSING 00 # ... and the files they point to

Thanks for the detailed explanation.  I wonder what would be a common word
for these special file types: pipe, socket, block and character device?

Currently the face name is 'dired-socket', but this doesn't seem right
since it's used not only for socket, but also for pipe, block and character
devices.  Is 'dired-special' a better name?  At least the manual
(info "(coreutils) What information is listed") named them "special file".